mxGraphModel.mxValueChange (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.model
Class mxGraphModel.mxValueChange

    java.lang.Object
      com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
          com.mxgraph.model.mxGraphModel.mxValueChange

All Implemented Interfaces:
  mxUndoableEdit.mxUndoableChange

Enclosing class:
  mxGraphModel

    public static class mxGraphModel.mxValueChange

extends mxIGraphModel.mxAtomicGraphModelChange

Field Summary
`protected Object` | `cell`
`protected Object` | `previous`
`protected Object` | `value`

Fields inherited from class com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
`model`

Constructor Summary
`mxGraphModel.mxValueChange()`
`mxGraphModel.mxValueChange(mxGraphModel model, Object cell, Object value)`

Method Summary
`void` | `execute()` Changes the root of the model.
`Object` | `getCell()`
`Object` | `getPrevious()`
`Object` | `getValue()`
`void` | `setCell(Object value)`
`void` | `setPrevious(Object value)`
`void` | `setValue(Object value)`

Methods inherited from class com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
`getModel, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cell

    protected Object cell

### value

    protected Object value

### previous

    protected Object previous

Constructor Detail

### mxGraphModel.mxValueChange

    public mxGraphModel.mxValueChange()

### mxGraphModel.mxValueChange

    public mxGraphModel.mxValueChange(mxGraphModel model,
                                      Object cell,
                                      Object value)

Method Detail

### setCell

    public void setCell(Object value)

### getCell

    public Object getCell()

  Returns:
    the cell

### setValue

    public void setValue(Object value)

### getValue

    public Object getValue()

  Returns:
    the value

### setPrevious

    public void setPrevious(Object value)

### getPrevious

    public Object getPrevious()

  Returns:
    the previous

### execute

    public void execute()

  Changes the root of the model.

  Specified by:
    `execute` in interface `mxUndoableEdit.mxUndoableChange`
  Specified by:
    `execute` in class `mxIGraphModel.mxAtomicGraphModelChange`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.